Bug 675527 - Apache httpd segmentation fault through libphp5
Apache httpd segmentation fault through libphp5
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php (Show other bugs)
5.5
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Joe Orton
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-06 05:58 EST by Adrian Offerman
Modified: 2011-06-24 04:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-24 04:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Apache error_log (55.70 KB, text/x-log)
2011-02-06 05:58 EST, Adrian Offerman
no flags Details

  None (edit)
Description Adrian Offerman 2011-02-06 05:58:08 EST
Created attachment 477283 [details]
Apache error_log

Description of problem:

Installing/running OpenX causes Apache http daemon (child) to crash with a segmentation fault.
Appears to be caused by a libphp5 call to libc.


Version-Release number of selected component (if applicable):

installing OpenX Source version 2.8.7

Linux version 2.6.18-194.32.1.el5.centos.plus (mockbuild@builder10.centos.org) (gcc version 4.1.2 20080704 (Red Hat 4.1.2-48)) #1 SMP Wed Jan 5 18:13:47 EST 2011

rpm -qa | grep httpd && rpm -qa | grep php
  system-config-httpd-1.3.3.3-1.el5
  httpd-devel-2.2.3-43.el5.centos.3
  httpd-manual-2.2.3-43.el5.centos.3
  httpd-2.2.3-43.el5.centos.3
  php-ldap-5.1.6-27.el5_5.3
  php-mbstring-5.1.6-27.el5_5.3
  php-pear-1.4.9-6.el5
  php-cli-5.1.6-27.el5_5.3
  php-mysql-5.1.6-27.el5_5.3
  php-gd-5.1.6-27.el5_5.3
  php-pgsql-5.1.6-27.el5_5.3
  php-common-5.1.6-27.el5_5.3
  php-odbc-5.1.6-27.el5_5.3
  php-bcmath-5.1.6-27.el5_5.3
  php-xml-5.1.6-27.el5_5.3
  php-devel-5.1.6-27.el5_5.3
  php-pdo-5.1.6-27.el5_5.3
  php-5.1.6-27.el5_5.3
  php-ncurses-5.1.6-27.el5_5.3
  php-soap-5.1.6-27.el5_5.3


How reproducible:

Fault occurs every time when the OpenX installer PHP script is installing the plugins, but also later on when trying to click a link/button in the OpenX management interface.

Steps to Reproduce:
1. Install OpenX Source.
2. First segmentation fault occurs when installer script is installing
   the plugings.
3. Clicking a link/button in the OpenX management interface gives a
   segmentation fault each time.


Actual results:

Segmentation fault of Apache child


Additional info:

Log file results attached, showing a problem in a call from php5 to libc.
Comment 1 Joe Orton 2011-02-07 09:05:06 EST
Can you reproduce this with a RHEL installation, rather than CentOS?  If so, can you narrow it down to the execution of a particular script?
Comment 2 Adrian Offerman 2011-02-10 17:21:53 EST
Sorry, currently don't have a RHEL system at hand.
But I did find out more about the location: I think the problem is located in the statement:
  $serialized_session = $dal->getSerializedSession($_COOKIE['sessionID']);
in function phpAds_SessionDataFetch (defined in file www/admin/lib-sessions.inc.php).
Function phpAds_SessionDataFetch is called by function OA_Start (defined in file www/admin/config.php).
And config.php is included in all management scripts, spreading it all over the interface.

Found the function definition of getSerializedSession in lib/max/Dal/Admin/Session.php
Hope this helps...
Comment 3 Adrian Offerman 2011-04-11 11:09:02 EDT
Just installed PHP 5.2. on my CentOS site. See here for a description:
  http://portalbuilders.pro/PBblog/?p=312
The installation of OpenX now works fine; problem "solved".

Note You need to log in before you can comment on or make changes to this bug.